For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • POSTRemoves a tag from all project templates.
      • GETReturns all tags currently in use by project templates.
      • POSTUpdates a tag globally for all project templates.
      • POSTAdds a batch of tags to the project template with the specified id.
      • POSTRemoves tags from the project template with the specified id.
      • GETReturns the tags of the project template with the specified id.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Template Tags

Returns the tags of the project template with the specified id.

GET
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/tags
GET
/api/v1/projecttemplates/:projectTemplateId/tags
$curl https://api.awork.com/api/v1/projecttemplates/projectTemplateId/tags \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdOn": "2022-03-11T15:33:47.100Z",
5 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
6 "updatedOn": "2022-03-11T21:15:00.100Z",
7 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
8 "name": "Design",
9 "color": "purple"
10 }
11]
<Check title="Required Permissions" icon="key">The user must be an admin or have `project-manage-config:read` permissions.</Check>
Was this page helpful?
Previous

Returns all milestone templates of the given project template.

Next
Built with
Required Permissions
The user must be an admin or have project-manage-config:read permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template to get tags for.

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The id of the entity.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
namestring or null
The name of the tag.
colorstring or null
The color of the tag.

Errors

401
Unauthorized Error
404
Not Found Error